# Uses of Class
org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProvider

Packages that use Word2VecSynonymProvider
Package
Description
org.apache.lucene.analysis.synonym.word2vec
Analysis components for Synonyms using Word2Vec model.

- ## Uses of Word2VecSynonymProvider in org.apache.lucene.analysis.synonym.word2vec

  Methods in org.apache.lucene.analysis.synonym.word2vec that return Word2VecSynonymProvider
  Modifier and Type
  Method
  Description
  `static Word2VecSynonymProvider`
  Word2VecSynonymProviderFactory.`getSynonymProvider(ResourceLoader loader, String modelFileName, org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProviderFactory.Word2VecSupportedFormats format)`
  Constructors in org.apache.lucene.analysis.synonym.word2vec with parameters of type Word2VecSynonymProvider
  Modifier
  Constructor
  Description
  ``
  `Word2VecSynonymFilter(TokenStream input, Word2VecSynonymProvider synonymProvider, int maxSynonymsPerTerm, float minAcceptedSimilarity)`
  Apply previously built synonymProvider to incoming tokens.